## Dss service

Dss service — Support for the Dss service.

## Functions

MbimMessage * | mbim_message_dss_connect_set_new ()
gboolean | mbim_message_dss_connect_response_parse ()

## Description

This section implements support for requests, responses and notifications in the Dss service.

## Functions

### mbim_message_dss_connect_set_new ()

    MbimMessage *
    mbim_message_dss_connect_set_new (const MbimUuid *device_service_id,
                                      guint32 dss_session_id,
                                      MbimDssLinkState dss_link_state,
                                      GError **error);

Create a new request for the 'Connect' set command in the 'DSS' service.

#### Parameters

device_service_id | the 'DeviceServiceId' field, given as a MbimUuid. | [in]
dss_session_id | the 'DssSessionId' field, given as a guint32. | [in]
dss_link_state | the 'DssLinkState' field, given as a MbimDssLinkState. | [in]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.4

### mbim_message_dss_connect_response_parse ()

    gboolean
    mbim_message_dss_connect_response_parse
                                   (const MbimMessage *message,
                                    GError **error);

Parses and returns parameters of the 'Connect' response command in the 'DSS' service.

#### Parameters

message | the MbimMessage. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.4